AbstractGangliaSink.GangliaConfType (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.metrics2.sink.ganglia
Enum AbstractGangliaSink.GangliaConfType

    java.lang.Object
      java.lang.Enum<AbstractGangliaSink.GangliaConfType>
          org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink.GangliaConfType

All Implemented Interfaces:
  Serializable, Comparable<AbstractGangliaSink.GangliaConfType>

Enclosing class:
  AbstractGangliaSink

    public static enum AbstractGangliaSink.GangliaConfType

extends Enum<AbstractGangliaSink.GangliaConfType>

define enum for various type of conf

Enum Constant Summary
`dmax`
`slope`
`tmax`
`units`

Method Summary
`static AbstractGangliaSink.GangliaConfType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractGangliaSink.GangliaConfType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### slope

    public static final AbstractGangliaSink.GangliaConfType slope

### units

    public static final AbstractGangliaSink.GangliaConfType units

### dmax

    public static final AbstractGangliaSink.GangliaConfType dmax

### tmax

    public static final AbstractGangliaSink.GangliaConfType tmax

Method Detail

### values

    public static AbstractGangliaSink.GangliaConfType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractGangliaSink.GangliaConfType c : AbstractGangliaSink.GangliaConfType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractGangliaSink.GangliaConfType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation